<?php
/**
 * The Template for displaying product archives, including the main shop page which is a post type archive
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/archive-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce\Templates
 * @version 3.4.0
 */

defined( 'ABSPATH' ) || exit;

get_header( 'shop' );
?>
    <!-- Flagma Decor About
  ================================================== -->
    <!-- Bearlog Creative -->
    <div class="container-fluid dark-gray light-txt svg-left-bg">
        <div class="container px-4 py-5">
            <div class="row g-5 py-5 mt-5">
                <div class="col-12 col-lg-6">
                    <?php if ( apply_filters( 'woocommerce_show_page_title', true ) ) : ?>
                        <h1 class="display-5 fw-bold lh-1 mb-3 wow animate__animated animate__fadeInLeft" data-wow-offset="50"><?php woocommerce_page_title(); ?></h1>
                    <?php endif; ?>
                    <?php
                    /**
                     * Hook: woocommerce_archive_description.
                     *
                     * @hooked woocommerce_taxonomy_archive_description - 10
                     * @hooked woocommerce_product_archive_description - 10
                     */
                    do_action( 'woocommerce_archive_description' );
                    ?>
                    <?php
                    if ( function_exists('yoast_breadcrumb') ) {
                        yoast_breadcrumb( '<p id="breadcrumbs">','</p>' );
                    }
                    ?>
                </div>
                <div class="col-12 col-lg-6">
                    <?php  if ( is_active_sidebar( 'search-sidebar' ) ) { ?>
                        <?php dynamic_sidebar( 'search-sidebar' ); ?>
                    <?php } ?>
                </div>
            </div>
        </div>
    </div>
    <!-- Flagma Decor About
    ================================================== -->
    <!-- Bearlog Creative -->
<div class="container p-5">
    <div class="row">
        <div class="col-12 pb-3 d-md-none">
        <button type="button" class="btn btn-primary btn-lg px-4 w-100" data-bs-toggle="modal" data-bs-target="#sidebarmobile">
            <?php pll_e('filter'); ?>
        </button>
        </div>
        <!-- Modal -->
        <div class="modal fade" id="sidebarmobile" tabindex="-1" aria-labelledby="sidebarmobile" aria-hidden="true">
            <div class="modal-dialog modal-dialog-scrollable modal-dialog-centered">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel"><?php pll_e('filter'); ?></h5>
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body">
                        <?php dynamic_sidebar( 'true_mobile' ); ?>
                    </div>
                </div>
            </div>
        </div>
        <div class="d-none d-md-block .d-md-block col-md-5 col-lg-3">
            <?php do_action( 'woocommerce_sidebar' ); ?>
        </div>
        <div class="col-md-7 col-lg-9">
            <div class="row">
            <?php
            if ( woocommerce_product_loop() ) {

                /**
                 * Hook: woocommerce_before_shop_loop.
                 *
                 * @hooked woocommerce_output_all_notices - 10
                 * @hooked woocommerce_result_count - 20
                 * @hooked woocommerce_catalog_ordering - 30
             */
            do_action( 'woocommerce_before_shop_loop' );
            ?>
            </div>
            <?php
            woocommerce_product_loop_start();

            if ( wc_get_loop_prop( 'total' ) ) {
                while ( have_posts() ) {
                    the_post();

                    /**
                     * Hook: woocommerce_shop_loop.
                     */
                    do_action( 'woocommerce_shop_loop' );

                    wc_get_template_part( 'content', 'product' );
                }
            }

            woocommerce_product_loop_end();

            /**
             * Hook: woocommerce_after_shop_loop.
             *
             * @hooked woocommerce_pagination - 10
             */
            do_action( 'woocommerce_after_shop_loop' );
        } else {
            /**
             * Hook: woocommerce_no_products_found.
             *
             * @hooked wc_no_products_found - 10
             */
            do_action( 'woocommerce_no_products_found' );
        }
        ?>
        </div>
    </div>
</div>
<?php do_action( 'woocommerce_after_main_content' ); ?>

<?php get_footer( 'shop' ); ?>
